package com.ruoyi.system.domain.project;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目投资方-企业对象 bm_project_investor
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public class BmProjectInvestor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目投资方id* */
    private Long id;

    /** 项目id* */
    private Long bmProjectId;


    /** 企业名称* */
    @Excel(name = "企业名称*")
    private String companyName;

    /** 企业所在地* */
    @Excel(name = "企业所在地*")
    private String companyAddress;

    /** 企业法人* */
    @Excel(name = "企业法人*")
    private String companyLegal;

    /** 统一社会信用代码* */
    @Excel(name = "统一社会信用代码*")
    private String companyCode;

    /** 联系方式* */
    @Excel(name = "联系方式*")
    private String phone;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setCompanyAddress(String companyAddress) 
    {
        this.companyAddress = companyAddress;
    }

    public String getCompanyAddress() 
    {
        return companyAddress;
    }
    public void setCompanyLegal(String companyLegal) 
    {
        this.companyLegal = companyLegal;
    }

    public String getCompanyLegal() 
    {
        return companyLegal;
    }
    public void setCompanyCode(String companyCode) 
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode() 
    {
        return companyCode;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("companyName", getCompanyName())
            .append("companyAddress", getCompanyAddress())
            .append("companyLegal", getCompanyLegal())
            .append("companyCode", getCompanyCode())
            .append("phone", getPhone())
            .toString();
    }
}
